Package org.apache.maven.scm.command.mkdir

## Class AbstractMkdirCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.mkdir.AbstractMkdirCommand

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `AbstractCvsMkdirCommand`, `LocalMkdirCommand`, `SvnMkdirCommand`

    public abstract class AbstractMkdirCommand
    extends AbstractCommand

Author:
  Maria Odea Ching

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`AbstractMkdirCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected ScmResult` `executeCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract MkdirScmResult` `executeMkdirCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String message, boolean createInLocal)` Creates directories in the remote repository.

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractMkdirCommand

    public AbstractMkdirCommand()

### Method Detail

#### executeMkdirCommand

    protected abstract MkdirScmResult executeMkdirCommand​(ScmProviderRepository repository,
                                                          ScmFileSet fileSet,
                                                          java.lang.String message,
                                                          boolean createInLocal)
                                                   throws ScmException

Creates directories in the remote repository.

Parameters:
  `repository` -
  `fileSet` -
  `createInLocal` - TODO
  `scmVersion` -
Returns:
Throws:
  `ScmException`

#### executeCommand

    protected ScmResult executeCommand​(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`